## org.apache.maven.shared.io.scan.mapping
Class SingleTargetMapping

    java.lang.Object
      org.apache.maven.shared.io.scan.mapping.SingleTargetMapping

All Implemented Interfaces:
  SourceMapping

    public class SingleTargetMapping

extends java.lang.Object
implements SourceMapping

Maps a set of input files to a single output file.

Version:
  $Id: SingleTargetMapping.java 595935 2007-11-17 11:39:34Z vsiveton $
Author:
  Trygve Laugstøl

Constructor Summary
`SingleTargetMapping(java.lang.String sourceSuffix, java.lang.String outputFile)`

Method Summary
`java.util.Set` `getTargetFiles(java.io.File targetDir, java.lang.String source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleTargetMapping

    public SingleTargetMapping(java.lang.String sourceSuffix,
                               java.lang.String outputFile)

Method Detail

### getTargetFiles

    public java.util.Set getTargetFiles(java.io.File targetDir,
                                        java.lang.String source)
                                 throws InclusionScanException

  Specified by:
    `getTargetFiles` in interface `SourceMapping`
  Throws:
    `InclusionScanException`

Copyright © 2011. All Rights Reserved.